org.modeshape.jcr.query

## Class IndexRules.NumericTypedRule<T>

- java.lang.Object
- - org.modeshape.jcr.query.IndexRules.TypedRule
  - - org.modeshape.jcr.query.IndexRules.NumericTypedRule<T>

- All Implemented Interfaces:
    IndexRules.NumericRule<T>, IndexRules.Rule
  Enclosing class:
    IndexRules

      @Immutable
      protected static class IndexRules.NumericTypedRule<T>
      extends IndexRules.TypedRule
      implements IndexRules.NumericRule<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `maxValue`
    `protected T` | `minValue`

    - ### Fields inherited from class org.modeshape.jcr.query.IndexRules.TypedRule

      `canBeReference, fullTextSearchable, index, store, type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexRules.NumericTypedRule(IndexRules.FieldType type, org.apache.lucene.document.Field.Store store, org.apache.lucene.document.Field.Index index, T minValue, T maxValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getMaximum()`
    `T` | `getMinimum()`
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.query.IndexRules.TypedRule

      `canBeReference, getIndexOption, getStoreOption, getType, isFullTextSearchable, isSkipped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.query.IndexRules.Rule

      `canBeReference, getIndexOption, getStoreOption, getType, isFullTextSearchable, isSkipped`

- - ### Field Detail

    - #### minValue

          protected final T minValue

    - #### maxValue

          protected final T maxValue

  - ### Constructor Detail

    - #### IndexRules.NumericTypedRule

          protected IndexRules.NumericTypedRule(IndexRules.FieldType type,
                                     org.apache.lucene.document.Field.Store store,
                                     org.apache.lucene.document.Field.Index index,
                                     T minValue,
                                     T maxValue)

  - ### Method Detail

    - #### getMaximum

          public T getMaximum()

      Specified by:
        `getMaximum` in interface `IndexRules.NumericRule<T>`

    - #### getMinimum

          public T getMinimum()

      Specified by:
        `getMinimum` in interface `IndexRules.NumericRule<T>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `IndexRules.TypedRule`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.